Loading...
Searching...
No Matches
metrics.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/trellis/api.h>`
`#include <gnuradio/trellis/calc_metric.h>`
`#include <cstdint>`
Include dependency graph for metrics.h:

Go to the source code of this file.

## Classes

class | gr::trellis::metrics< T >
| Evaluate metrics for use by the Viterbi algorithm. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::trellis

## Typedefs

typedef metrics< std::int16_t > | gr::trellis::metrics_s
typedef metrics< std::int32_t > | gr::trellis::metrics_i
typedef metrics< float > | gr::trellis::metrics_f
typedef metrics< gr_complex > | gr::trellis::metrics_c